Bug 121620 - When installing on hdc with a previous ext3 partition already preset, hda isn't detected
When installing on hdc with a previous ext3 partition already preset, hda isn...
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-04-23 17:47 EDT by Joe Sadusk
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-15 12:09:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Sadusk 2004-04-23 17:47:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20040323 Galeon/1.3.7

Description of problem:
I have two hard drives in this machine.  hda has one NTFS partition on
it and Windows 2000.  hdc previously had one small swap partition and
a large ext3 partition with Redhat 9 on it.  Anaconda detected redhat
9, asked me to upgrade.  I told it to do a fresh install.  I then went
into disk druid, and only hdc showed up in the drives list (I
verified, this is not the case with the redhat 9 anaconda).  Beyond
that, if I just tell it to format the old ext3 partition and move on,
when it gets to grub configuration, it won't let me either put in hda
as a boot target or install grub to hda.  Considering hda is the boot
drive, this means that grub won't actually be useful at all.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Have a machine with a previous linux installation on hdc and a non
linux OS on hda
2.  Start an install and don't upgrade


Actual Results:  hda is unavailable in either grub config or disk druid.

Expected Results:  I should be able to access hda from grub config or
disk druid.

Additional info:

In case this is a motherboard chipset issue (I haven't tried this on
other machines), this was using the onboard ATA controller of the MSI
Master2Far (a dual opteron VIA K8T800 based board).
Comment 1 Jeremy Katz 2004-04-25 01:14:09 EDT
this should be fixed in test3.

Note You need to log in before you can comment on or make changes to this bug.